Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058314 - [abrt] gnome-shell: shell_app_dispose(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: shell_app_dispose(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d4114dc7b9c6acf58a31e1b010f...
: 1046832 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 14:06 UTC by Alexander Lipatov
Modified: 2014-03-08 09:23 UTC (History)
18 users (show)

Fixed In Version: gnome-shell-3.10.3-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-10 03:15:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: cgroup (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: core_backtrace (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: dso_list (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: environ (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: exploitable (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: limits (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: maps (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: open_fds (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: proc_pid_status (deleted)
2014-01-27 14:06 UTC, Alexander Lipatov
no flags Details
File: var_log_messages (deleted)
2014-01-27 14:07 UTC, Alexander Lipatov
no flags Details

Description Alexander Lipatov 2014-01-27 14:06:00 UTC
Version-Release number of selected component:
gnome-shell-3.10.3-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: shell_app_dispose
executable:     /usr/bin/gnome-shell
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 shell_app_dispose at shell-app.c:1567
 #6 meta_workspace_remove_window at core/workspace.c:411
 #7 meta_window_unmanage at core/window.c:1744
 #8 event_callback at core/display.c:2776
 #9 filter_func at ui/ui.c:253
 #10 gdk_event_apply_filters at gdkeventsource.c:81
 #11 gdk_event_source_translate_event at gdkeventsource.c:195
 #12 _gdk_x11_display_queue_events at gdkeventsource.c:338
 #13 gdk_display_get_event at gdkdisplay.c:327
 #19 meta_run at core/main.c:556

Comment 1 Alexander Lipatov 2014-01-27 14:06:04 UTC
Created attachment 856079 [details]
File: backtrace

Comment 2 Alexander Lipatov 2014-01-27 14:06:07 UTC
Created attachment 856080 [details]
File: cgroup

Comment 3 Alexander Lipatov 2014-01-27 14:06:11 UTC
Created attachment 856081 [details]
File: core_backtrace

Comment 4 Alexander Lipatov 2014-01-27 14:06:24 UTC
Created attachment 856082 [details]
File: dso_list

Comment 5 Alexander Lipatov 2014-01-27 14:06:26 UTC
Created attachment 856083 [details]
File: environ

Comment 6 Alexander Lipatov 2014-01-27 14:06:28 UTC
Created attachment 856084 [details]
File: exploitable

Comment 7 Alexander Lipatov 2014-01-27 14:06:40 UTC
Created attachment 856086 [details]
File: limits

Comment 8 Alexander Lipatov 2014-01-27 14:06:43 UTC
Created attachment 856087 [details]
File: maps

Comment 9 Alexander Lipatov 2014-01-27 14:06:46 UTC
Created attachment 856088 [details]
File: open_fds

Comment 10 Alexander Lipatov 2014-01-27 14:06:57 UTC
Created attachment 856089 [details]
File: proc_pid_status

Comment 11 Alexander Lipatov 2014-01-27 14:07:04 UTC
Created attachment 856090 [details]
File: var_log_messages

Comment 12 Sebastian Dyroff 2014-01-28 10:18:46 UTC
Another user experienced a similar problem:

Seems random while using gnome.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: shell_app_dispose
executable:     /usr/bin/gnome-shell
kernel:         3.12.7-300.fc20.x86_64
package:        gnome-shell-3.10.3-2.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Mikkel Lauritsen 2014-01-29 08:02:25 UTC
I've recently started experiencing crashes in gnome-shell that ABRT maps into this bug. In my case it's completely reproduceable - it's a matter of using the cursor keys to navigate a list of autocompletion suggestions in IntelliJ IDEA (a Java based IDE).

Comment 14 Sebastian Dyroff 2014-01-29 10:02:11 UTC
The bug does not happen with gnome-shell version 3.10.2.1.

Comment 15 Giuseppe 2014-01-29 11:25:26 UTC
Another user experienced a similar problem:

It happens everytime that I'm using Eclipse or IntelliJ IDEA, in particular when the IDE helper shows me all the object's methods and I go through the list of these methods. Then it stucks and gnome-shell reboots. After two or three times gnome-shell logged me out from my session.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: shell_app_dispose
executable:     /usr/bin/gnome-shell
kernel:         3.12.8-300.fc20.x86_64
package:        gnome-shell-3.10.3-2.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 16 Mariusz Smykuła 2014-01-29 21:26:15 UTC
For me this is very similar to [Bug 995785] [abrt] gnome-shell-3.9.5-2.fc20: _g_log_abort: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)

Comment 17 Mariusz Smykuła 2014-02-01 12:33:14 UTC
This is blocker for me, I cant work with IntelliJ. Should I downgrade to Fedora19, or is any other option?

Comment 18 Alexander Lipatov 2014-02-03 05:37:39 UTC
Another user experienced a similar problem:

worked in intellij idea when got crash

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: shell_app_dispose
executable:     /usr/bin/gnome-shell
kernel:         3.12.8-300.fc20.x86_64
package:        gnome-shell-3.10.3-3.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Sebastian Dyroff 2014-02-03 08:35:35 UTC
(In reply to Mariusz Smykuła from comment #17)
> This is blocker for me, I cant work with IntelliJ. Should I downgrade to
> Fedora19, or is any other option?

For me yum downgrade gnome-shell worked as temporary workaround. yum update will reinstall the broken version.

Comment 20 CircleCode 2014-02-03 18:23:06 UTC
to me it also occurs on completion inside IntelliJ… I'm using openJDK version, what JDK do you use?

Comment 21 Joseph Edmonds 2014-02-04 09:52:19 UTC
I'm also having this with PhpStorm - IntelliJ based PHP IDE

Exactly the same, bring up auto complete on an object, scroll through a few methods and Gnome Shell crashes.

Try again a couple of times and it logs me out and force disables extensions.

`yum downgrade gnome-shell`

Removed:
  gnome-shell.x86_64 0:3.10.3-2.fc20                                                

Installed:
  gnome-shell.x86_64 0:3.10.2.1-2.fc20 

And now I can't trigger the bug which is good enough for me for now but clearly not ideal.

Comment 22 Justin Brown 2014-02-05 23:10:07 UTC
Jetbrains recommends setting the following value in bin/idea.properties, which seems to resolve the issue.

ide.expansion.hints.enabled=false

Comment 23 Justin Brown 2014-02-05 23:10:57 UTC
Oops, here's the Jetbrains bug report: http://youtrack.jetbrains.com/issue/IDEA-120039

Comment 24 Florian Müllner 2014-02-06 17:04:33 UTC
I have downloaded IntelliJ, but haven't been able to reproduce the issue so far. Still, https://bugzilla.gnome.org/show_bug.cgi?id=723197 looks like it should fix the issue, I'll prepare another update.

Comment 25 James Perkins 2014-02-06 17:10:10 UTC
The error doesn't seem to be consistent. I've noticed it the most when doing an auto-complete that lists a large number of options. Then scrolling throw the options, usually using the down arrow key, is what causes it for me.

Changing the setting listed above does seem to solve the issue. I notice some lag at points where it looks like it's going to crash, but it doesn't.

Comment 26 Roman Shevchenko 2014-02-06 17:37:09 UTC
Florian,

try to navigate to any complex Java class (e.g. JComponent from a JDK sources), open File Structure popup (Navigate | File Structure) and resize the popup to be more narrow. This way IDEA will show line small hints for lines which are not fit - like registerXXX group of methods.

Now try to scroll through the list to make those hints to show and hide in a quick succession.

Comment 27 Fedora Update System 2014-02-06 19:23:24 UTC
gnome-shell-3.10.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-shell-3.10.3-4.fc20

Comment 28 Juraci Paixão Kröhling 2014-02-07 12:09:13 UTC
This latest update seems to have fixed the issue for me.

Comment 29 Florian Müllner 2014-02-07 12:34:48 UTC
Glad to hear that! Feel free to leave some karma to help getting it out.

Comment 30 Florian Müllner 2014-02-07 15:14:08 UTC
*** Bug 1046832 has been marked as a duplicate of this bug. ***

Comment 31 madwyn 2014-02-07 15:36:14 UTC
I have also tried the latest build, it solved my problem. Thank you!

Comment 32 Justin Brown 2014-02-07 21:40:03 UTC
Florian thanks for the quick fix! This pkg has +2 karma now and should go into updates shortly.

Comment 33 Fedora Update System 2014-02-08 05:08:36 UTC
Package gnome-shell-3.10.3-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-3.10.3-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2173/gnome-shell-3.10.3-4.fc20
then log in and leave karma (feedback).

Comment 34 Fedora Update System 2014-02-10 03:15:40 UTC
gnome-shell-3.10.3-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 kartochka22 2014-03-08 09:23:26 UTC
Happens on F20 gnome-shell-3.10.4-1.fc20 during yum update 

Обновление:
 cinepaint                    x86_64            1.4-5.fc20                      updates            3.4 M
 cinepaint-libs               x86_64            1.4-5.fc20                      updates            889 k
 coreutils                    x86_64            8.21-21.fc20                    updates            3.3 M
 cryptsetup                   x86_64            1.6.4-1.fc20                    updates            112 k
 cryptsetup-libs              x86_64            1.6.4-1.fc20                    updates            176 k
 cryptsetup-python            x86_64            1.6.4-1.fc20                    updates             33 k
 curl                         x86_64            7.32.0-6.fc20                   updates            267 k
 dnf                          noarch            0.4.17-1.fc20                   updates            396 k
 libcurl                      x86_64            7.32.0-6.fc20                   updates            218 k
 libgudev1                    x86_64            208-15.fc20                     updates             46 k
 libssh                       x86_64            0.6.3-1.fc20                    updates            145 k
 systemd                      x86_64            208-15.fc20                     updates            2.6 M
 systemd-libs                 x86_64            208-15.fc20                     updates            152 k
 systemd-python               x86_64            208-15.fc20                     updates             80 k
 vpnc                         x86_64            0.5.3-20.svn457.fc20            updates             86 k
 vpnc-script                  noarch            0.5.3-20.svn457.fc20            updates             14 k
 wget                         x86_64            1.14-12.fc20                    updates            544 k

abrt redirect to this bug.


Note You need to log in before you can comment on or make changes to this bug.